gdjs.SettingsCode = {};
gdjs.SettingsCode.GDtxtSettingsBackObjects1= [];
gdjs.SettingsCode.GDtxtSettingsBackObjects2= [];
gdjs.SettingsCode.GDGameMusicVolumeObjects1= [];
gdjs.SettingsCode.GDGameMusicVolumeObjects2= [];
gdjs.SettingsCode.GDGameSFXVolumeObjects1= [];
gdjs.SettingsCode.GDGameSFXVolumeObjects2= [];
gdjs.SettingsCode.GDMusicLabelObjects1= [];
gdjs.SettingsCode.GDMusicLabelObjects2= [];
gdjs.SettingsCode.GDSFXLabelObjects1= [];
gdjs.SettingsCode.GDSFXLabelObjects2= [];
gdjs.SettingsCode.GDSettingsLabelObjects1= [];
gdjs.SettingsCode.GDSettingsLabelObjects2= [];
gdjs.SettingsCode.GDMusicIncreaseObjects1= [];
gdjs.SettingsCode.GDMusicIncreaseObjects2= [];
gdjs.SettingsCode.GDMusicDecreaseObjects1= [];
gdjs.SettingsCode.GDMusicDecreaseObjects2= [];
gdjs.SettingsCode.GDSFXDecreaseObjects1= [];
gdjs.SettingsCode.GDSFXDecreaseObjects2= [];
gdjs.SettingsCode.GDSFXIncreaseObjects1= [];
gdjs.SettingsCode.GDSFXIncreaseObjects2= [];
gdjs.SettingsCode.GDSettingsEffectsObjects1= [];
gdjs.SettingsCode.GDSettingsEffectsObjects2= [];
gdjs.SettingsCode.GDAcceptDecorObjects1= [];
gdjs.SettingsCode.GDAcceptDecorObjects2= [];

gdjs.SettingsCode.conditionTrue_0 = {val:false};
gdjs.SettingsCode.condition0IsTrue_0 = {val:false};
gdjs.SettingsCode.condition1IsTrue_0 = {val:false};
gdjs.SettingsCode.condition2IsTrue_0 = {val:false};
gdjs.SettingsCode.condition3IsTrue_0 = {val:false};
gdjs.SettingsCode.conditionTrue_1 = {val:false};
gdjs.SettingsCode.condition0IsTrue_1 = {val:false};
gdjs.SettingsCode.condition1IsTrue_1 = {val:false};
gdjs.SettingsCode.condition2IsTrue_1 = {val:false};
gdjs.SettingsCode.condition3IsTrue_1 = {val:false};


gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDtxtSettingsBackObjects1Objects = Hashtable.newFrom({"txtSettingsBack": gdjs.SettingsCode.GDtxtSettingsBackObjects1});gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXIncreaseObjects1Objects = Hashtable.newFrom({"SFXIncrease": gdjs.SettingsCode.GDSFXIncreaseObjects1});gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXDecreaseObjects1Objects = Hashtable.newFrom({"SFXDecrease": gdjs.SettingsCode.GDSFXDecreaseObjects1});gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicIncreaseObjects1Objects = Hashtable.newFrom({"MusicIncrease": gdjs.SettingsCode.GDMusicIncreaseObjects1});gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicDecreaseObjects1Objects = Hashtable.newFrom({"MusicDecrease": gdjs.SettingsCode.GDMusicDecreaseObjects1});gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXIncreaseObjects1Objects = Hashtable.newFrom({"SFXIncrease": gdjs.SettingsCode.GDSFXIncreaseObjects1});gdjs.SettingsCode.eventsList0 = function(runtimeScene) {

{


gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
{gdjs.SettingsCode.conditionTrue_1 = gdjs.SettingsCode.condition0IsTrue_0;
gdjs.SettingsCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(21501812);
}
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_hover.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


};gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXIncreaseObjects1Objects = Hashtable.newFrom({"SFXIncrease": gdjs.SettingsCode.GDSFXIncreaseObjects1});gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXDecreaseObjects1Objects = Hashtable.newFrom({"SFXDecrease": gdjs.SettingsCode.GDSFXDecreaseObjects1});gdjs.SettingsCode.eventsList1 = function(runtimeScene) {

{


gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
{gdjs.SettingsCode.conditionTrue_1 = gdjs.SettingsCode.condition0IsTrue_0;
gdjs.SettingsCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(21504028);
}
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_hover.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


};gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXDecreaseObjects1Objects = Hashtable.newFrom({"SFXDecrease": gdjs.SettingsCode.GDSFXDecreaseObjects1});gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicIncreaseObjects1Objects = Hashtable.newFrom({"MusicIncrease": gdjs.SettingsCode.GDMusicIncreaseObjects1});gdjs.SettingsCode.eventsList2 = function(runtimeScene) {

{


gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
{gdjs.SettingsCode.conditionTrue_1 = gdjs.SettingsCode.condition0IsTrue_0;
gdjs.SettingsCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(21506412);
}
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_hover.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


};gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicIncreaseObjects1Objects = Hashtable.newFrom({"MusicIncrease": gdjs.SettingsCode.GDMusicIncreaseObjects1});gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicDecreaseObjects1Objects = Hashtable.newFrom({"MusicDecrease": gdjs.SettingsCode.GDMusicDecreaseObjects1});gdjs.SettingsCode.eventsList3 = function(runtimeScene) {

{


gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
{gdjs.SettingsCode.conditionTrue_1 = gdjs.SettingsCode.condition0IsTrue_0;
gdjs.SettingsCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(21508692);
}
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_hover.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


};gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicDecreaseObjects1Objects = Hashtable.newFrom({"MusicDecrease": gdjs.SettingsCode.GDMusicDecreaseObjects1});gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDtxtSettingsBackObjects1Objects = Hashtable.newFrom({"txtSettingsBack": gdjs.SettingsCode.GDtxtSettingsBackObjects1});gdjs.SettingsCode.eventsList4 = function(runtimeScene) {

{


gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
{gdjs.SettingsCode.conditionTrue_1 = gdjs.SettingsCode.condition0IsTrue_0;
gdjs.SettingsCode.conditionTrue_1.val = runtimeScene.getOnceTriggers().triggerOnce(21511396);
}
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_hover.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


};gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDtxtSettingsBackObjects1Objects = Hashtable.newFrom({"txtSettingsBack": gdjs.SettingsCode.GDtxtSettingsBackObjects1});gdjs.SettingsCode.eventsList5 = function(runtimeScene) {

{


gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
gdjs.SettingsCode.GDAcceptDecorObjects1.createFrom(runtimeScene.getObjects("AcceptDecor"));
gdjs.SettingsCode.GDGameMusicVolumeObjects1.createFrom(runtimeScene.getObjects("GameMusicVolume"));
gdjs.SettingsCode.GDGameSFXVolumeObjects1.createFrom(runtimeScene.getObjects("GameSFXVolume"));
{for(var i = 0, len = gdjs.SettingsCode.GDGameSFXVolumeObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDGameSFXVolumeObjects1[i].setString(gdjs.evtTools.common.getVariableString(runtimeScene.getGame().getVariables().getFromIndex(0)));
}
}{for(var i = 0, len = gdjs.SettingsCode.GDGameMusicVolumeObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDGameMusicVolumeObjects1[i].setString(gdjs.evtTools.common.getVariableString(runtimeScene.getGame().getVariables().getFromIndex(1)));
}
}{for(var i = 0, len = gdjs.SettingsCode.GDAcceptDecorObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDAcceptDecorObjects1[i].setOpacity(0);
}
}}

}


{

gdjs.SettingsCode.GDtxtSettingsBackObjects1.createFrom(runtimeScene.getObjects("txtSettingsBack"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtsExt__TestExtensions__LeftClickOnAnObjectCheck.func(runtimeScene, gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDtxtSettingsBackObjects1Objects, (typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined));
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.popScene(runtimeScene);
}{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_click.wav", 3, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


{

gdjs.SettingsCode.GDSFXIncreaseObjects1.createFrom(runtimeScene.getObjects("SFXIncrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
gdjs.SettingsCode.condition1IsTrue_0.val = false;
gdjs.SettingsCode.condition2IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)) < 100;
}if ( gdjs.SettingsCode.condition0IsTrue_0.val ) {
{
gdjs.SettingsCode.condition1IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXIncreaseObjects1Objects, runtimeScene, true, false);
}if ( gdjs.SettingsCode.condition1IsTrue_0.val ) {
{
gdjs.SettingsCode.condition2IsTrue_0.val = gdjs.evtTools.input.isMouseButtonReleased(runtimeScene, "Left");
}}
}
if (gdjs.SettingsCode.condition2IsTrue_0.val) {
gdjs.SettingsCode.GDGameSFXVolumeObjects1.createFrom(runtimeScene.getObjects("GameSFXVolume"));
{runtimeScene.getGame().getVariables().getFromIndex(0).add(10);
}{for(var i = 0, len = gdjs.SettingsCode.GDGameSFXVolumeObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDGameSFXVolumeObjects1[i].setString(gdjs.evtTools.common.getVariableString(runtimeScene.getGame().getVariables().getFromIndex(0)));
}
}{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_click.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


{

gdjs.SettingsCode.GDSFXDecreaseObjects1.createFrom(runtimeScene.getObjects("SFXDecrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
gdjs.SettingsCode.condition1IsTrue_0.val = false;
gdjs.SettingsCode.condition2IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)) > 0;
}if ( gdjs.SettingsCode.condition0IsTrue_0.val ) {
{
gdjs.SettingsCode.condition1IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXDecreaseObjects1Objects, runtimeScene, true, false);
}if ( gdjs.SettingsCode.condition1IsTrue_0.val ) {
{
gdjs.SettingsCode.condition2IsTrue_0.val = gdjs.evtTools.input.isMouseButtonReleased(runtimeScene, "Left");
}}
}
if (gdjs.SettingsCode.condition2IsTrue_0.val) {
gdjs.SettingsCode.GDGameSFXVolumeObjects1.createFrom(runtimeScene.getObjects("GameSFXVolume"));
{runtimeScene.getGame().getVariables().getFromIndex(0).sub(10);
}{for(var i = 0, len = gdjs.SettingsCode.GDGameSFXVolumeObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDGameSFXVolumeObjects1[i].setString(gdjs.evtTools.common.getVariableString(runtimeScene.getGame().getVariables().getFromIndex(0)));
}
}{gdjs.evtTools.sound.playSoundOnChannel(runtimeScene, "sfx\\menu_click.wav", 2, false, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(0)), 1);
}}

}


{

gdjs.SettingsCode.GDMusicIncreaseObjects1.createFrom(runtimeScene.getObjects("MusicIncrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
gdjs.SettingsCode.condition1IsTrue_0.val = false;
gdjs.SettingsCode.condition2IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(1)) < 100;
}if ( gdjs.SettingsCode.condition0IsTrue_0.val ) {
{
gdjs.SettingsCode.condition1IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicIncreaseObjects1Objects, runtimeScene, true, false);
}if ( gdjs.SettingsCode.condition1IsTrue_0.val ) {
{
gdjs.SettingsCode.condition2IsTrue_0.val = gdjs.evtTools.input.isMouseButtonReleased(runtimeScene, "Left");
}}
}
if (gdjs.SettingsCode.condition2IsTrue_0.val) {
gdjs.SettingsCode.GDGameMusicVolumeObjects1.createFrom(runtimeScene.getObjects("GameMusicVolume"));
{runtimeScene.getGame().getVariables().getFromIndex(1).add(10);
}{for(var i = 0, len = gdjs.SettingsCode.GDGameMusicVolumeObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDGameMusicVolumeObjects1[i].setString(gdjs.evtTools.common.getVariableString(runtimeScene.getGame().getVariables().getFromIndex(1)));
}
}{gdjs.evtTools.sound.setMusicOnChannelVolume(runtimeScene, 1, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(1)));
}}

}


{

gdjs.SettingsCode.GDMusicDecreaseObjects1.createFrom(runtimeScene.getObjects("MusicDecrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
gdjs.SettingsCode.condition1IsTrue_0.val = false;
gdjs.SettingsCode.condition2IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(1)) > 0;
}if ( gdjs.SettingsCode.condition0IsTrue_0.val ) {
{
gdjs.SettingsCode.condition1IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicDecreaseObjects1Objects, runtimeScene, true, false);
}if ( gdjs.SettingsCode.condition1IsTrue_0.val ) {
{
gdjs.SettingsCode.condition2IsTrue_0.val = gdjs.evtTools.input.isMouseButtonReleased(runtimeScene, "Left");
}}
}
if (gdjs.SettingsCode.condition2IsTrue_0.val) {
gdjs.SettingsCode.GDGameMusicVolumeObjects1.createFrom(runtimeScene.getObjects("GameMusicVolume"));
{runtimeScene.getGame().getVariables().getFromIndex(1).sub(10);
}{for(var i = 0, len = gdjs.SettingsCode.GDGameMusicVolumeObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDGameMusicVolumeObjects1[i].setString(gdjs.evtTools.common.getVariableString(runtimeScene.getGame().getVariables().getFromIndex(1)));
}
}{gdjs.evtTools.sound.setMusicOnChannelVolume(runtimeScene, 1, gdjs.evtTools.common.getVariableNumber(runtimeScene.getGame().getVariables().getFromIndex(1)));
}}

}


{

gdjs.SettingsCode.GDSFXIncreaseObjects1.createFrom(runtimeScene.getObjects("SFXIncrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXIncreaseObjects1Objects, runtimeScene, true, false);
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
/* Reuse gdjs.SettingsCode.GDSFXIncreaseObjects1 */
{for(var i = 0, len = gdjs.SettingsCode.GDSFXIncreaseObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDSFXIncreaseObjects1[i].setColor("255;255;255");
}
}
{ //Subevents
gdjs.SettingsCode.eventsList0(runtimeScene);} //End of subevents
}

}


{

gdjs.SettingsCode.GDSFXIncreaseObjects1.createFrom(runtimeScene.getObjects("SFXIncrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXIncreaseObjects1Objects, runtimeScene, true, true);
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
/* Reuse gdjs.SettingsCode.GDSFXIncreaseObjects1 */
{for(var i = 0, len = gdjs.SettingsCode.GDSFXIncreaseObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDSFXIncreaseObjects1[i].setColor("0;0;0");
}
}}

}


{

gdjs.SettingsCode.GDSFXDecreaseObjects1.createFrom(runtimeScene.getObjects("SFXDecrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXDecreaseObjects1Objects, runtimeScene, true, false);
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
/* Reuse gdjs.SettingsCode.GDSFXDecreaseObjects1 */
{for(var i = 0, len = gdjs.SettingsCode.GDSFXDecreaseObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDSFXDecreaseObjects1[i].setColor("255;255;255");
}
}
{ //Subevents
gdjs.SettingsCode.eventsList1(runtimeScene);} //End of subevents
}

}


{

gdjs.SettingsCode.GDSFXDecreaseObjects1.createFrom(runtimeScene.getObjects("SFXDecrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDSFXDecreaseObjects1Objects, runtimeScene, true, true);
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
/* Reuse gdjs.SettingsCode.GDSFXDecreaseObjects1 */
{for(var i = 0, len = gdjs.SettingsCode.GDSFXDecreaseObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDSFXDecreaseObjects1[i].setColor("0;0;0");
}
}}

}


{

gdjs.SettingsCode.GDMusicIncreaseObjects1.createFrom(runtimeScene.getObjects("MusicIncrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicIncreaseObjects1Objects, runtimeScene, true, false);
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
/* Reuse gdjs.SettingsCode.GDMusicIncreaseObjects1 */
{for(var i = 0, len = gdjs.SettingsCode.GDMusicIncreaseObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDMusicIncreaseObjects1[i].setColor("255;255;255");
}
}
{ //Subevents
gdjs.SettingsCode.eventsList2(runtimeScene);} //End of subevents
}

}


{

gdjs.SettingsCode.GDMusicIncreaseObjects1.createFrom(runtimeScene.getObjects("MusicIncrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicIncreaseObjects1Objects, runtimeScene, true, true);
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
/* Reuse gdjs.SettingsCode.GDMusicIncreaseObjects1 */
{for(var i = 0, len = gdjs.SettingsCode.GDMusicIncreaseObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDMusicIncreaseObjects1[i].setColor("0;0;0");
}
}}

}


{

gdjs.SettingsCode.GDMusicDecreaseObjects1.createFrom(runtimeScene.getObjects("MusicDecrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicDecreaseObjects1Objects, runtimeScene, true, false);
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
/* Reuse gdjs.SettingsCode.GDMusicDecreaseObjects1 */
{for(var i = 0, len = gdjs.SettingsCode.GDMusicDecreaseObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDMusicDecreaseObjects1[i].setColor("255;255;255");
}
}
{ //Subevents
gdjs.SettingsCode.eventsList3(runtimeScene);} //End of subevents
}

}


{

gdjs.SettingsCode.GDMusicDecreaseObjects1.createFrom(runtimeScene.getObjects("MusicDecrease"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDMusicDecreaseObjects1Objects, runtimeScene, true, true);
}if (gdjs.SettingsCode.condition0IsTrue_0.val) {
/* Reuse gdjs.SettingsCode.GDMusicDecreaseObjects1 */
{for(var i = 0, len = gdjs.SettingsCode.GDMusicDecreaseObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDMusicDecreaseObjects1[i].setColor("0;0;0");
}
}}

}


{

gdjs.SettingsCode.GDAcceptDecorObjects1.createFrom(runtimeScene.getObjects("AcceptDecor"));
gdjs.SettingsCode.GDtxtSettingsBackObjects1.createFrom(runtimeScene.getObjects("txtSettingsBack"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
gdjs.SettingsCode.condition1IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDtxtSettingsBackObjects1Objects, runtimeScene, true, false);
}if ( gdjs.SettingsCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.SettingsCode.GDAcceptDecorObjects1.length;i<l;++i) {
    if ( gdjs.SettingsCode.GDAcceptDecorObjects1[i].getOpacity() != 255 ) {
        gdjs.SettingsCode.condition1IsTrue_0.val = true;
        gdjs.SettingsCode.GDAcceptDecorObjects1[k] = gdjs.SettingsCode.GDAcceptDecorObjects1[i];
        ++k;
    }
}
gdjs.SettingsCode.GDAcceptDecorObjects1.length = k;}}
if (gdjs.SettingsCode.condition1IsTrue_0.val) {
/* Reuse gdjs.SettingsCode.GDAcceptDecorObjects1 */
/* Reuse gdjs.SettingsCode.GDtxtSettingsBackObjects1 */
{for(var i = 0, len = gdjs.SettingsCode.GDtxtSettingsBackObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDtxtSettingsBackObjects1[i].setColor("255;255;255");
}
}{for(var i = 0, len = gdjs.SettingsCode.GDAcceptDecorObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDAcceptDecorObjects1[i].setOpacity(gdjs.SettingsCode.GDAcceptDecorObjects1[i].getOpacity() + (20));
}
}
{ //Subevents
gdjs.SettingsCode.eventsList4(runtimeScene);} //End of subevents
}

}


{

gdjs.SettingsCode.GDAcceptDecorObjects1.createFrom(runtimeScene.getObjects("AcceptDecor"));
gdjs.SettingsCode.GDtxtSettingsBackObjects1.createFrom(runtimeScene.getObjects("txtSettingsBack"));

gdjs.SettingsCode.condition0IsTrue_0.val = false;
gdjs.SettingsCode.condition1IsTrue_0.val = false;
{
gdjs.SettingsCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.SettingsCode.mapOfGDgdjs_46SettingsCode_46GDtxtSettingsBackObjects1Objects, runtimeScene, true, true);
}if ( gdjs.SettingsCode.condition0IsTrue_0.val ) {
{
for(var i = 0, k = 0, l = gdjs.SettingsCode.GDAcceptDecorObjects1.length;i<l;++i) {
    if ( gdjs.SettingsCode.GDAcceptDecorObjects1[i].getOpacity() != 0 ) {
        gdjs.SettingsCode.condition1IsTrue_0.val = true;
        gdjs.SettingsCode.GDAcceptDecorObjects1[k] = gdjs.SettingsCode.GDAcceptDecorObjects1[i];
        ++k;
    }
}
gdjs.SettingsCode.GDAcceptDecorObjects1.length = k;}}
if (gdjs.SettingsCode.condition1IsTrue_0.val) {
/* Reuse gdjs.SettingsCode.GDAcceptDecorObjects1 */
/* Reuse gdjs.SettingsCode.GDtxtSettingsBackObjects1 */
{for(var i = 0, len = gdjs.SettingsCode.GDtxtSettingsBackObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDtxtSettingsBackObjects1[i].setColor("0;0;0");
}
}{for(var i = 0, len = gdjs.SettingsCode.GDAcceptDecorObjects1.length ;i < len;++i) {
    gdjs.SettingsCode.GDAcceptDecorObjects1[i].setOpacity(gdjs.SettingsCode.GDAcceptDecorObjects1[i].getOpacity() - (20));
}
}}

}


};

gdjs.SettingsCode.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.SettingsCode.GDtxtSettingsBackObjects1.length = 0;
gdjs.SettingsCode.GDtxtSettingsBackObjects2.length = 0;
gdjs.SettingsCode.GDGameMusicVolumeObjects1.length = 0;
gdjs.SettingsCode.GDGameMusicVolumeObjects2.length = 0;
gdjs.SettingsCode.GDGameSFXVolumeObjects1.length = 0;
gdjs.SettingsCode.GDGameSFXVolumeObjects2.length = 0;
gdjs.SettingsCode.GDMusicLabelObjects1.length = 0;
gdjs.SettingsCode.GDMusicLabelObjects2.length = 0;
gdjs.SettingsCode.GDSFXLabelObjects1.length = 0;
gdjs.SettingsCode.GDSFXLabelObjects2.length = 0;
gdjs.SettingsCode.GDSettingsLabelObjects1.length = 0;
gdjs.SettingsCode.GDSettingsLabelObjects2.length = 0;
gdjs.SettingsCode.GDMusicIncreaseObjects1.length = 0;
gdjs.SettingsCode.GDMusicIncreaseObjects2.length = 0;
gdjs.SettingsCode.GDMusicDecreaseObjects1.length = 0;
gdjs.SettingsCode.GDMusicDecreaseObjects2.length = 0;
gdjs.SettingsCode.GDSFXDecreaseObjects1.length = 0;
gdjs.SettingsCode.GDSFXDecreaseObjects2.length = 0;
gdjs.SettingsCode.GDSFXIncreaseObjects1.length = 0;
gdjs.SettingsCode.GDSFXIncreaseObjects2.length = 0;
gdjs.SettingsCode.GDSettingsEffectsObjects1.length = 0;
gdjs.SettingsCode.GDSettingsEffectsObjects2.length = 0;
gdjs.SettingsCode.GDAcceptDecorObjects1.length = 0;
gdjs.SettingsCode.GDAcceptDecorObjects2.length = 0;

gdjs.SettingsCode.eventsList5(runtimeScene);
return;

}

gdjs['SettingsCode'] = gdjs.SettingsCode;
